org.eclipse.wst.jsdt.core

## Interface IImportDeclaration

All Superinterfaces:
  IJavaScriptElement, ILookupScope, ISourceManipulation, ISourceReference

    public interface IImportDeclaration
    extends IJavaScriptElement, ISourceReference, ISourceManipulation

Represents an import declaration in JavaScript unit.

This interface is not intended to be implemented by clients.

This Interface only applies to ECMAScript 4 which is not yet supported Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`CLASS_FILE, EXPORT_CONTAINER, EXPORT_DECLARATION, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVASCRIPT_MODEL, JAVASCRIPT_PROJECT, JAVASCRIPT_UNIT, LOCAL_VARIABLE, METHOD, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getElementName()` Returns the name that has been imported.
`int` `getFlags()` Returns the modifier flags for this import.
`boolean` `isOnDemand()`

### Methods inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`exists, getAncestor, getAttachedJavadoc, getCommonSuperType, getCorrespondingResource, getDisplayName, getElementType, getHandleIdentifier, getHostPath, getJavaScriptModel, getJavaScriptProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown, isVirtual`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ILookupScope

`newNameLookup, newNameLookup, newSearchableNameEnvironment, newSearchableNameEnvironment`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ISourceReference

`exists, getSource, getSourceRange`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ISourceManipulation

`copy, delete, move, rename`

### Method Detail

#### getElementName

    java.lang.String getElementName()

Returns the name that has been imported.

Specified by:
  `getElementName` in interface `IJavaScriptElement`
Returns:
  the name that has been imported

#### getFlags

    int getFlags()
          throws JavaScriptModelException

Returns the modifier flags for this import. The flags can be examined using class `Flags`. Only the static flag is meaningful for import declarations.

Returns:
  the modifier flags for this import
Throws:
  `JavaScriptModelException` - if this element does not exist or if an exception occurs while accessing its corresponding resource.
See Also:
  `Flags`

#### isOnDemand

    boolean isOnDemand()